Skip to main content
GET
Spell Check

Request contract

  • Method and path: GET /apis/v1/brave/spellcheck/search
  • Request URL template: https://api.aisa.one/apis/v1/brave/spellcheck/search
  • accept: header; optional
  • api-version: header; optional
  • cache-control: header; optional
  • user-agent: header; optional
  • country: query; optional
  • lang: query; optional
  • q: query; required
  • Runtime facts: 8627d7bc05db287888574873d586ce7dca25f9fa7b4a266cb71760e824597bfc
Complete OpenAPI definition Effective request and pricing declaration (including authentication and referenced schemas):

Cost and request rules

Published reference price: $0.0005 USD per successful request. Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.
  • Default request reference estimate (USD): 0.0005
  • Cost contract: fixed_success
  • Published reference multiplier: 1.0
  • Settlement evidence source: request_snapshot

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

accept
enum<string>
default:application/json

The default supported media type is application/json.

Available options:
application/json,
*/*
Example:

"application/json"

api-version
string | null

The API version to use. This is denoted by the format YYYY-MM-DD. Default is the latest that is available. Read more about API versioning.

cache-control
enum<string> | null

Brave Search will return cached content by default. To prevent caching set the Cache-Control header to no-cache. This is currently done as best effort.

Available options:
no-cache
Allowed value: "no-cache"
user-agent
string | null

The user agent originating the request. Brave search can utilize the user agent to provide a different experience depending on the device as described by the string. The user agent should follow the commonly used browser agent strings on each platform. For more information on curating user agents, see RFC 9110.

Query Parameters

country
enum<string>
default:US

The spell check country, where potentially the results could come from. The country string is limited to 2 character country codes of supported countries. This is a just a hint for calculating spellcheck responses.

Available options:
AR,
AU,
AT,
BE,
BR,
CA,
CL,
DK,
FI,
FR,
DE,
GR,
HK,
IN,
ID,
IT,
JP,
KR,
MY,
MX,
NL,
NZ,
NO,
CN,
PL,
PT,
PH,
RU,
SA,
ZA,
ES,
SE,
CH,
TW,
TR,
GB,
US,
ALL
lang
enum<string>
default:en

The spell check language preference, where potentially the results could come from. The 2 or more character language code for which the spell check search results are provided. This is a just a hint for calculating spell check responses.

Available options:
ar,
eu,
bn,
bg,
ca,
zh-hans,
zh-hant,
hr,
cs,
da,
nl,
en,
en-gb,
et,
fi,
fr,
gl,
de,
el,
gu,
he,
hi,
hu,
is,
it,
ja,
jp,
kn,
ko,
lv,
lt,
ms,
ml,
mr,
nb,
pl,
pt-br,
pt-pt,
pa,
ro,
ru,
sr,
sk,
sl,
es,
sv,
ta,
te,
th,
tr,
uk,
vi
q
string
required

The phrase to be spell checked. Query can not be empty. Maximum of 400 characters and 50 words in the query.

Required string length: 1 - 400

Response

Successful Response

query
OriginalQuery · object
required

Spellcheck search query string. Only the original query is returned.

type
enum<string>
default:spellcheck
Available options:
spellcheck
Allowed value: "spellcheck"
results
SpellCheckResult · object[]

The list of spell-checked results for given query.